# Fetch a real-time stream This operation shows the details of a specific real-time stream. Endpoint: GET /real_time/{id} Version: v1.11 ## Path parameters: - `id` (string, required) The unique alphanumeric string that identifies the real-time stream. ## Response 200 fields (application/json): - `real_time_stream` (object, required) Example: {"id":"2adffc17","name":"MyRealTimeStream","stream_name":"8d304b93f1684320a54f2798666eeca7","token":"97e52731bc21ef66e4c05a8ee1e28b64bf5f9db728573d94e690277cea9215bc","rtmp_url":"rtmp://rtmp-realtime1.wowza.com:1935/v2/pub/8d304b93f1684320a54f2798666eeca7?token=97e52731bc21ef66e4c05a8ee1e28b64bf5f9db728573d94e690277cea9215bc","enable_secure_viewer":false,"state":"active","region":"amsterdam","recording":true,"disable_vod_encoder":true,"created_at":"2021-06-30T18:02:20.000Z","updated_at":"2021-06-30T20:03:16.000Z"} - `real_time_stream.created_at` (string) The date and time that the real-time stream was created. Example: "2021-06-30T18:02:20.000Z" - `real_time_stream.id` (string) The unique identifier of the real-time stream. Use this ID to perform other operations on the stream, like getting the details of the stream or deleting it. Example: "2adffc17" - `real_time_stream.name` (string) A descriptive name for the real-time stream. Example: "MyRealTimeStream" - `real_time_stream.stream_name` (string) The generated alphanumeric stream name you pass to the SDK. Example: "8d304b93f1684320a54f2798666eeca7" - `real_time_stream.token` (string) The authentication token you pass to the SDK. Example: "97e52731bc21ef66e4c05a8ee1e28b64bf5f9db728573d94e690277cea9215bc" - `real_time_stream.subscribe_token` (string) A secure token that must be passed by viewers for playback. Generated after you set enable_secure_viewer to true. - `real_time_stream.rtmp_url` (string) The URL you can use to configure an RTMP encoder as the source. Example: "rtmp://rtmp-realtime1.wowza.com:1935/v2/pub/8d304b93f1684320a54f2798666eeca7?token=97e52731bc21ef66e4c05a8ee1e28b64bf5f9db728573d94e690277cea9215bc" - `real_time_stream.enable_secure_viewer` (boolean) Require viewers to pass a security token for playback. - `real_time_stream.expires_on` (string) The date and time the security token expires. Specify YYYY-MM-DD HH:MM:SS, where HH is a 24-hour clock in UTC. If you don't specify HH:MM:SS, the token expires at 12AM UTC on the specified day. Required when enable_secure_viewer is true. - `real_time_stream.state` (string) The state of the stream. Enum: "active", "archived", "disabled", "stopped" - `real_time_stream.region` (string) An option to set the regional server the stream is distributed through. Select the region closest to your broadcast location for the most reliable stream. If you select the auto option, Wowza Video selects the region based on the publisher's location. Default: phoenix Example: "region": amsterdam Enum: "phoenix", "amsterdam", "singapore", "bangalore", "auto" - `real_time_stream.recording` (boolean) If true, records the real-time stream so you can download an MP4 later. The recording starts when the stream starts and stops automatically when the stream stops. Recordings for real-time streams capture up to twelve hours of content in a single MP4 file. If the real-time stream recording is longer twelve hours, you'll have multiple files for the recording. Default: false Note: You can't update this value after you create the stream. Example: "recording": true Example: true - `real_time_stream.disable_vod_encoder` (boolean) Skips VOD encoding and only creates an MP4 file for download. No VOD stream is created from the real-time stream. Can only be set when recording is true and you can't change this value after you create the stream. Default: false Example: "disable_vod_encoder": true Example: true - `real_time_stream.updated_at` (string) The date and time the real-time stream was updated. Example: "2021-06-30T20:03:16.000Z" ## Response 401 fields (application/json): - `meta` (object, required) - `meta.status` (integer) - `meta.code` (string) - `meta.title` (string) - `meta.message` (string) - `meta.description` (string) - `meta.links` (array) ## Response 403 fields (application/json): - `meta` (object, required) - `meta.status` (integer) - `meta.code` (string) - `meta.title` (string) - `meta.message` (string) - `meta.description` (string) - `meta.links` (array) ## Response 404 fields (application/json): - `meta` (object, required) - `meta.status` (integer) - `meta.code` (string) - `meta.title` (string) - `meta.message` (string) - `meta.description` (string) - `meta.links` (array) ## Response 410 fields (application/json): - `meta` (object, required) - `meta.status` (integer) - `meta.code` (string) - `meta.title` (string) - `meta.message` (string) - `meta.description` (string) - `meta.links` (array)